body {
    min-height: 100vh;
    min-height: -webkit-fill-available;
}

html {
    min-height: -webkit-fill-available;
}

.login-logo,.register-logo {
    font-size: 35px;
    text-align: center;
    margin-bottom: 25px;
    font-weight: 300
}

.login-logo a,.register-logo a {
    color: #444
}

.login-box,.register-box {
    width: 360px;
    margin: 7% auto
}


.login-box-body,.register-box-body {
    background: #fff;
    padding: 20px;
    border-top: 0;
    color: #666
}

.login-box-body .form-control-feedback,.register-box-body .form-control-feedback {
    color: #777
}

.login-box-msg,.register-box-msg {
    margin: 0;
    text-align: center;
    padding: 0 20px 20px 20px
}

.login-page, .register-page {
    background-color: #f5f5f5;
    background:
            url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path style="transform: rotate(30deg);transform-origin: 50% 50%;" fill="rgba(255,224,178,0.3)" d="M173.7 128L216 20.3C220.8 8.053 232.7 0 245.8 0H266.2C279.3 0 291.2 8.053 295.1 20.3L338.3 128H173.7zM363.4 192L401.1 288H110.9L148.6 192H363.4zM48 448L85.71 352H426.3L464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48z"/></svg>') top left/40px 40px;
    display: flex;
    align-items: center;
    flex-direction: column;
    -ms-flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    height: 100vh !important;
}

.login-box-body, .register-box-body {
    border-radius: 10px;
}

.login-box-body .form-and-buttons {
    border-left: 2px solid #CCC;
}

.login-box {
    border: 1px solid #CCC;
    border-radius: 10px;
    margin: 0;
}

.login-logo {
    max-height: 180px;
    max-width: 180px;
    display: block;
    margin: 20px auto;
}

.login-logo.small-logo {
    max-height: 115px;
    max-width: initial;
}
.login-logo.xsmall-logo {
    max-height: 105px;
    max-width: initial;
    margin: 10px auto 0;
}


@media (max-width: 768px) {
    .login-box,.register-box {
        width:100%;
        margin-top: 20px;
        border-radius: 0;
    }

    .login-box-body, .register-box-body {
        border-radius: 0;
    }

    .login-box-body .form-and-buttons {
        border-left: 0;
    }
}

@media (min-width: 768px) {
    .login-box {
        width: 720px;
    }
}

.nav-item-with-badge {
    position: relative;
}

.menu-badge {
    position: absolute;
    bottom: 8px;
    right: 10px;
}

.btn-block {
    display: block;
    width: 100%;
}

.hidden {
    display: none;
}

.margin-r-5 {
    margin-right: 5px;
}

.dropdown-item-lg {
    padding: 0.7rem 1rem;
}

.dropdown-toggle {
    outline: 0;
}

.btn-toggle {
    padding: .25rem .5rem;
    font-weight: 600;
    color: rgba(0, 0, 0, .65);
    background-color: transparent;
}

.btn-toggle:hover,
.btn-toggle:focus {
    color: rgba(0, 0, 0, .85);
    background-color: #d2f4ea;
}

.btn-toggle::before {
    width: 1.25em;
    line-height: 0;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
    transition: transform .35s ease;
    transform-origin: .5em 50%;
}

.btn-toggle[aria-expanded="true"] {
    color: rgba(0, 0, 0, .85);
}

.btn-toggle[aria-expanded="true"]::before {
    transform: rotate(90deg);
}

.btn-toggle-nav a {
    padding: .1875rem .5rem;
    margin-top: .125rem;
    margin-left: 1.25rem;
}

.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
    background-color: #d2f4ea;
}

.scrollarea {
    overflow-y: auto;
}

.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
    padding: 0;
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

main.container-fluid {
    margin-left: 80px;
    width: calc(100% - 80px);
    padding-top: 20px;
    padding-bottom: 20px;
}

.body-login {
    height: 100%;
    display: flex;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 40px;
    background-color: #f5f5f5
}

.form-signin {
    max-width: 400px;
    padding: 15px;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.login-pw-fields {
    /*margin-top: 5px*/
}

.text-bold {
    font-weight: bold;
}

.text-right {
    text-align: right;
}

.text-center {
    text-align: center;
}

.text-muted {
    color: #555;
}


.table-data > tbody > tr > th {
    width: 200px;
}

label.control-label {
    font-weight: 700;
    margin-bottom: 5px;
}

.control-label.required:after {
    content: "*";
}

.info-box {
    display: block;
    min-height: 90px;
    background: #fff;
    width: 100%;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    margin-bottom: 15px;
}

.info-box small {
    font-size: 14px;
}

.info-box .progress {
    background: rgba(0, 0, 0, 0.2);
    margin: 5px -10px 5px -10px;
    height: 2px;
}

.info-box .progress,
.info-box .progress .progress-bar {
    border-radius: 0;
}

.info-box .progress .progress-bar {
    background: #fff;
}

.info-box-icon {
    border-top-left-radius: 2px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 2px;
    display: block;
    float: left;
    height: 90px;
    width: 90px;
    text-align: center;
    font-size: 45px;
    line-height: 90px;
    background: rgba(0, 0, 0, 0.2);
}

.info-box-icon > img {
    max-width: 100%;
}

.info-box-content {
    padding: 5px 10px;
    margin-left: 90px;
}

.info-box-number {
    display: block;
    font-weight: bold;
    font-size: 18px;
}

.progress-description,
.info-box-text {
    display: block;
    font-size: 14px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.info-box-text {
    text-transform: uppercase;
}

.info-box-more {
    display: block;
}

.products-list {
    list-style: none;
    margin: 0;
    padding: 0
}

.products-list > .item {
    border-radius: 3px;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    padding: 10px 0;
    background: #fff
}

.products-list > .item:before,
.products-list > .item:after {
    content: " ";
    display: table
}

.products-list > .item:after {
    clear: both
}

.products-list .product-img {
    float: left
}

.products-list .product-img img {
    width: 50px;
    height: 50px
}

.products-list .product-info {
    margin-left: 60px
}

.products-list .product-title {
    font-weight: 600
}

.products-list .product-description {
    display: block;
    color: #999;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis
}

.product-list-in-box > .item {
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 0;
    border-bottom: 1px solid #f4f4f4
}

.product-list-in-box > .item:last-of-type {
    border-bottom-width: 0
}

.files-container {
    margin-top: 15px;
    display: block;
}

.btn-dark-label {
    cursor: default;
    background-color: #FFF;
    border-color: #263238;
    font-weight: 600;
    color: #444;
}

.btn-dark-label:active, .btn-dark-label:hover, .btn-dark-label:focus {
    background-color: #FFF;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-microsoft {
    color: #fff;
    background-color: #2672ec;
    border-color: rgba(0, 0, 0, 0.2)
}

.btn-microsoft:focus, .btn-microsoft.focus {
    color: #fff;
    background-color: #125acd;
    border-color: rgba(0, 0, 0, 0.2)
}

.btn-microsoft:hover {
    color: #fff;
    background-color: #125acd;
    border-color: rgba(0, 0, 0, 0.2)
}

.btn-microsoft:active, .btn-microsoft.active, .open > .dropdown-toggle.btn-microsoft {
    color: #fff;
    background-color: #125acd;
    border-color: rgba(0, 0, 0, 0.2)
}

.btn-microsoft:active, .btn-microsoft.active, .open > .dropdown-toggle.btn-microsoft {
    background-image: none
}

.btn-microsoft .badge {
    color: #2672ec;
    background-color: #fff
}


body.map-body {
    overflow: hidden;
}

.geo_container {
    position: relative;
    overflow: hidden;
}

.geo_map {
    background-color: #CCC;
    width: calc(100vw - 4.5rem);
    height: 100vh;
    overflow: hidden;
    margin-left: 4.5rem;
}

.poi-container {
    position: relative;
}

.poi-container .poi {
    position: absolute;
    left:-11px;
    top:-11px;
    height: 32px;
    width: 32px;
    text-align: center;
    border-radius: 100%;
    background-color: #0b93d5;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.25);
    transition: .3s,opacity .5s,visibility .5s;
}

.poi-container.single .poi {
    /*left:0px;*/
    /*top:18px;*/

    left:0;
    top:0;
}

.poi-container .poi i {
    font-size: 16px;
    line-height: 32px;
}

.poi-container .poi-number {
    position: absolute;
    left: 5px;
    top: 10px;
}

.layer_bar .nav-pills>li.active>a{
    color: #FFF !important;
}

.layer_bar .nav-pills>li>a {
    border-radius: 0;
}

.layer_bar {
    position: absolute;
    bottom: 0;
    left: 4.5rem;
    background: #FFF;
    z-index: 1020;
    width: 220px;
    height: 100%;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.25);
    /*transition: .3s,opacity .5s,visibility .5s;*/
}

.ui-autocomplete {
    z-index: 9999;
}

.layer_bar.closed {
    display: none;
}

.layer_bar .top-bar {
    position: relative;
    min-height: 50px;
}

.layer_bar_content {
    padding: 0 20px 200px;
    overflow: auto;
    position: absolute;
    height: 100%;
    width: 100%;
}
.layer_bar_poi_info {
    padding: 0 20px 120px;
    overflow: auto;
    position: absolute;
    min-height: 450px;
    width: 100%;
    background-color: #FFF;
    z-index: 5;
    margin-left: -20px;
}


.layer_bar .title-bar {
    margin-bottom: 10px;
    padding: 5px 10px;
    text-align: center;
    position: relative;
}

.layer_bar .title-bar.small {
    min-height: 50px;
}

.layer_bar .title-bar h1 {
    font-size: 24px;
    font-weight: 700;
    margin-top: 40px !important;
    margin-bottom: 0px !important;
}

.layer_bar .title-bar.small h1 {
    font-size: 24px;
}
.layer_bar .title-bar .menu {
    list-style-type: none;
    padding-left: 0;
    margin-bottom: 0;
    margin-top: 15px;
}
.layer_bar .title-bar .menu li {
    display: inline-block;
}
.layer_bar .title-bar .menu li:not(:last-child):after {
    content: "|";
}
.layer_bar .title-bar .menu li a{
    font-size: 14px;
    padding: 5px 10px;
}

.layer_bar .top-bar .icons {
    position: absolute;
    top: 10px;
    right: 10px;
}

.layer_bar .top-bar .img {
    position: absolute;
    top: -15px;
    left: calc(50% - 65px/2);
    /*border-radius: 100%;*/
    height: 65px;
    width: 65px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    text-align: center;
    line-height: 115px;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.25);
}
.layer_bar .title-bar p.description {
    font-size: 14px;
    font-weight: 300;
    position: relative;
    overflow: hidden;
}

.fadeout {
    position: absolute;
    bottom: 0em;
    width:100%;
    height: 4em;
    background: -webkit-linear-gradient(
            rgba(0, 0, 0, 0) 0%,
            rgba(0, 0, 0, 0.3) 100%
    );
    background-image: -moz-linear-gradient(
            rgba(0, 0, 0, 0) 0%,
            rgba(0, 0, 0, 0.3) 100%
    );
    background-image: -o-linear-gradient(
            rgba(0, 0, 0, 0) 0%,
            rgba(0, 0, 0, 0.3) 100%
    );
    background-image: linear-gradient(
            rgba(0, 0, 0, 0) 0%,
            rgba(0, 0, 0, 0.3) 100%
    );
    background-image: -ms-linear-gradient(
            rgba(0, 0, 0, 0) 0%,
            rgba(0, 0, 0, 0.3) 100%
    );
}

.layer_bar .filters, .layer_bar .info-block, .layer_bar .layers {
    background-color: #f4f4f4;
    border-radius: 4px;
    padding: 8px;
    margin-bottom: 10px;
}
.layer_bar .info-block table.table-condensed>tbody>tr>td {
    padding: 5px 0;
    border-top: 0;
}
.layer_bar .info-block table.table-pois>tbody>tr>td {
    border-top: 0;
}
.layer_bar .info-block table.table-pois>tbody>tr:not(.active) {
    cursor: pointer;
}
.layer_bar .info-block table.table-pois>tbody>tr.active td{
    background-color: #d9edf7;
}
.layer_bar .info-block table.table-pois>tbody>tr.active td i.goto{
    display: none;
}
.layer_bar .info-block table {
    margin-bottom: 0px;
}
.layer_bar .info-block table.table-hover>tbody>tr:hover {
    background-color: #dedede;
}

.layer_bar .sign-desc-bord {
    background: #0000FF;
    color: #FFF;
    border-radius: 6px;
    display: block;
    padding: 2px;
    margin-top: 3px;
}

.layer_bar #event-info .sign-img {
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    height: 80px;
    border: 5px solid #FFF;
    margin: 0 auto;
}
.layer_bar #event-info .sign-amount {
    cursor: pointer;
    position: relative;
    text-align: center;
}
.layer_bar #event-info .sign-amount .amount-number {
    padding: 5px;
    display: inline-block;
    font-size: 1.3em;
    font-weight: 500;
    line-height: 1.2;
    flex-grow: 1;
    position: relative;
}
.layer_bar #event-info .sign-amount .amounts-container {
    padding: 0;
    display: flex;
    flex-direction: row;
    /*align-content: stretch;*/
    /*align-items: stretch;*/
}

/*.layer_bar #event-info .sign-amount .amount-number::after {*/
/*    content: "x";*/
/*    position: absolute;*/
/*    top: 2px;*/
/*    right: 2px;*/
/*}*/

.layer_bar #event-info .sign-amount.sign-hidden {
    opacity: .5;
}

.layer_bar #event-info .sign-amount .hidden-icon{
    position: absolute;
    top: 30px;
    color: red;
}

#event-info {
    padding-bottom: 20px;
}

.layer_bar h2.subtitle {
    font-size: 17px;
    font-weight: 700;
    font-style: normal;
    margin-top: 0 !important;
    margin-bottom: 0;
}
.layer_bar p.description {
    font-weight: 300;
    font-size: 14px;
    color: #000;
}

.layer_bar .title-bar {
    background-color: #2d2d80;
}

.layer_bar .top-bar {
    background-color: #2d2d80;
}

.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    color: #FFF !important;
    background-color: #2d2d80;
}

.layer_bar .title-bar h1, .layer_bar .title-bar p, .layer_bar .top-bar a {
    color: #FFF !important;
}

.layer_bar .title-bar .menu li:not(:last-child):after {
    color: #FFF; !important;
}
.layer_bar .title-bar .menu li a{
    color: #FFF; !important;
}

.layer_bar .top-bar .img {
    /*background-image: url('../images/logo.svg');*/
    background-color: #2d2d80;
    color: #FFF !important;
    border: 2px solid #EFC600;
}
.layer_bar #poi-title-sm h4 {
    background-color: #2d2d80;
}

.status-update-buttons .active {
    cursor: unset;
}

#system-loadbar {
    z-index: 99991;
    height: 9px;
    border-radius: 0;
}

.bg-success {
    background-color: #198754 !important;
    color: #FFF !important;
}
.bg-warning {
    background-color: #ffc107 !important;
    color: #000 !important;
}
.bg-danger {
    background-color: #dc3545 !important;
    color: #FFF !important;;
}

.form-group {
    margin-bottom: 5px;
}
.comment:last-of-type {
    border-bottom: 0;
}

.comment {
    padding: 5px;
    border-bottom: 1px solid #CCC;
}
.comment .commentBy {
    line-height: 1;
}

.comment .commentBy, .comment .commentAt, .comment .commentText {
    display: block;
}
.comment .commentAt {
    color: #666;
    line-height: 1;
}
.comment .commentText {
    padding: 0 5px;
}

.comment-sign-info {
    background-color: #f8f9fa;
    border: 1px solid #CCC;
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
}

.comment-sign-info .sign-img{
    background-size: contain;
    background-repeat: no-repeat;
    height: 40px;
    width: 40px;
    border-radius: 100%;
    background-position: center;
    background-color: #FFF;
    border: 1px solid #CCC;
}

.comment-avatar {
    background-size: contain;
    background-repeat: no-repeat;
    height: 40px;
    width: 40px;
    border-radius: 100%;
    background-position: center;
    background-color: #FFF;
}

.add-comment-box {
    background-color: #f8f9fa;
    padding: 10px 20px;
    margin: 10px -20px 20px;
}